[arch-commits] Commit in kdelibs3/trunk (PKGBUILD)

Pierre Schmitz pierre at archlinux.org
Sat Aug 2 12:29:58 EDT 2008


    Date: Saturday, August 2, 2008 @ 12:29:58
  Author: pierre
Revision: 7498

upgpkg: kdelibs3 3.5.9-3

Modified:
  kdelibs3/trunk/PKGBUILD

----------+
 PKGBUILD |   20 +++++++++++++-------
 1 file changed, 13 insertions(+), 7 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-08-02 16:26:55 UTC (rev 7497)
+++ PKGBUILD	2008-08-02 16:29:58 UTC (rev 7498)
@@ -4,23 +4,29 @@
 
 pkgname=kdelibs3
 pkgver=3.5.9
-pkgrel=2.1
+pkgrel=3
 pkgdesc="KDE3 Core Libraries"
 arch=('i686' 'x86_64')
 url="http://www.kde.org"
 license=('GPL' 'LGPL')
-depends=('db>=4.7' 'libxslt' 'pcre' 'libart-lgpl' 'openexr' 'alsa-lib' 'libcups'
-         'avahi>=0.6.9' 'jasper>=1.900.1' 'bzip2' 'openssl' 'libidn' 'perl' 'libxrender'
-	 'aspell' 'heimdal>=1.0.1' 'acl' 'libtiff' 'qt3>=3.3.7' 'ca-certificates')
-makedepends=('pkgconfig' 'cups' 'lua')
+depends=('libxslt' 'pcre' 'libart-lgpl' 'alsa-lib' 'libcups'
+         'jasper' 'bzip2' 'openssl' 'libidn' 'libxrender'
+	 'aspell' 'heimdal' 'acl' 'libtiff' 'qt3' 'ca-certificates')
+makedepends=('pkgconfig' 'cups')
 options=('libtool')
 install='kdelibs3.install'
-source=("http://download.kde.org/stable/${pkgver}/src/kdelibs-${pkgver}.tar.bz2" 'kde3.profile')
-md5sums=('55e5f00874933d1a7ba7c95e369a205e' '3c49828eb8985cfb25af8e1495f7800a')
+source=("http://download.kde.org/stable/${pkgver}/src/kdelibs-${pkgver}.tar.bz2"
+        'ftp://ftp.archlinux.org/other/kdelibs3/kde-3.5.9-837226.patch.bz2'
+        'kde3.profile')
+md5sums=('55e5f00874933d1a7ba7c95e369a205e'
+         '6129eedb884eaecd4dfd23cb665f577f'
+         '3c49828eb8985cfb25af8e1495f7800a')
 
 build() {
 	cd $srcdir/kdelibs-$pkgver
 
+	patch -p0 -i ${srcdir}/kde-3.5.9-837226.patch || return 1
+
 	. /etc/profile.d/qt3.sh
 	. $srcdir/kde3.profile
 




More information about the arch-commits mailing list